Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::MagicSearchListener Class Reference
Inheritance diagram for linphone::MagicSearchListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onSearchResultsReceived (const std::shared_ptr< linphone::MagicSearch > &magicSearch)
| Callback used to notify when results are received.
virtual LINPHONECXX_PUBLIC void | onLdapHaveMoreResults (const std::shared_ptr< linphone::MagicSearch > &magicSearch, const std::shared_ptr< linphone::Ldap > &ldap)
| Callback used to notify when LDAP have more results available.

## Member Function Documentation

## ◆ onLdapHaveMoreResults()

virtual LINPHONECXX_PUBLIC void linphone::MagicSearchListener::onLdapHaveMoreResults | ( | const std::shared_ptr< linphone::MagicSearch > & | magicSearch,
|  | const std::shared_ptr< linphone::Ldap > & | ldap )
| inline virtual

Callback used to notify when LDAP have more results available.

Parameters

  ldap | LinphoneLdap object

## ◆ onSearchResultsReceived()

virtual LINPHONECXX_PUBLIC void linphone::MagicSearchListener::onSearchResultsReceived | ( | const std::shared_ptr< linphone::MagicSearch > & | magicSearch | ) |
| inline virtual

Callback used to notify when results are received.

Parameters

  magicSearch | LinphoneMagicSearch object

The documentation for this class was generated from the following file:

- magic_search_listener.hh